/**
 * Created by littwin on 14.07.15.
 */
(function () {

    var printTabEntry = {
        name: "<?php _('Firmware Upload') ?>",
        icon: "fa fa-upload",
        visible: "showFirmwareUpload",
        state: "printer.firmwareupload",
        prio: 5000,
        requireOnline:false,
        requireActive:false
    };

    var menuEntry = {
        name: "<?php _('Firmware Upload') ?>",
        icon: "fa fa-upload",
        visible: "true",
        prio: 5000,
        requireOnline:false,
        requireActive:false
    };

    angular.module('RSFirmwareUploader', ['RSBase','ui.router'])
        .config(['RSFrontendProvider', '$stateProvider', function (RSFrontend, $stateProvider) {
            RSFrontend.registerPrinterMenuEntry(menuEntry);
            RSFrontend.registerPrinterTab(printTabEntry);
            RSFrontend.setVisible("showFirmwareUpload",false);
            $stateProvider.state('printer.firmwareupload', {
                url: '/firmwareupload',
                parent: 'printer',
                templateUrl: '/mod/firmware/firmware.php?lang=' + window.lang,
                controller: 'FirmwareUploadController'
            })
        }])
        .run(['$state','RSFrontend',function($state,RSFrontend) {
            menuEntry.exec = function () {
                $state.go('printer.firmwareupload');
            };
        }])
        .controller("FirmwareUploadController", ["$scope","$rootScope", function ($scope,$rootScope) {
            $rootScope.frontend.setVisible("showFirmwareUpload",true);
            $scope.$on('$destroy', function () {
                $rootScope.frontend.setVisible("showFirmwareUpload",false);
            });
        }])
    ;
}());
